Page MenuHomePhabricator

"Warning: in_array() expects parameter 2 to be an array or collection" from Wikibase MwTimeIsoFormatter
Closed, ResolvedPublic

Description

Warning: in_array() expects parameter 2 to be an array or collection in /srv/mediawiki/php-1.30.0-wmf.4/extensions/Wikidata/extensions/Wikibase/lib/includes/Formatters/MwTimeIsoFormatter.php on line 109

Details

Related Gerrit Patches:
mediawiki/extensions/Wikibase : masterFix warning in MwTimeIsoFormatter
mediawiki/extensions/Wikibase : wmf/1.30.0-wmf.4Fix warning in MwTimeIsoFormatter

Event Timeline

mmodell created this task.Jun 7 2017, 9:46 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 7 2017, 9:46 PM
Krinkle renamed this task from Warning: in_array() expects parameter 2 to be an array or collection to "Warning: in_array() expects parameter 2 to be an array or collection" from Wikibase MwTimeIsoFormatter.Jun 7 2017, 10:17 PM

Change 357744 had a related patch set uploaded (by Aude; owner: Aude):
[mediawiki/extensions/Wikibase@master] Fix warning in MwTimeIsoFormatter

https://gerrit.wikimedia.org/r/357744

Change 357746 had a related patch set uploaded (by Aude; owner: Aude):
[mediawiki/extensions/Wikibase@master] Test for T167360 (on it's own) for jenkins

https://gerrit.wikimedia.org/r/357746

Change 357746 abandoned by Aude:
Test for T167360 (on it's own) for jenkins

https://gerrit.wikimedia.org/r/357746

Change 357747 had a related patch set uploaded (by Aude; owner: Aude):
[mediawiki/extensions/Wikibase@wmf/1.30.0-wmf.4] Fix warning in MwTimeIsoFormatter

https://gerrit.wikimedia.org/r/357747

Change 357744 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Fix warning in MwTimeIsoFormatter

https://gerrit.wikimedia.org/r/357744

Change 357747 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@wmf/1.30.0-wmf.4] Fix warning in MwTimeIsoFormatter

https://gerrit.wikimedia.org/r/357747

mmodell closed this task as Resolved.Jun 8 2017, 4:25 AM
mmodell assigned this task to aude.

Mentioned in SAL (#wikimedia-operations) [2017-06-08T13:33:31Z] <aude@tin> Synchronized php-1.30.0-wmf.4/extensions/Wikidata: Fix warning in date formatting T167360 (duration: 02m 16s)

mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:10 PM